Skip to content

Create a project outbound email identity

POST
/projects/{id}/email-identities

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Project ID

Type
string
Required

Request Body

application/json
JSON
{
  
"name": "string",
  
"email": "string",
  
"signature": "string",
  
"smtp": {
  
  
"host": "string",
  
  
"port": 587,
  
  
"auth_user": "string",
  
  
"auth_password": "string",
  
  
"tls": false,
  
  
"ssl": false
  
}
}

Responses

Created

application/json
JSON
{
  
"identity": {
  
  
"_id": "string",
  
  
"project": "string",
  
  
"owner": "string",
  
  
"host_id": "string",
  
  
"name": "string",
  
  
"email": "string",
  
  
"signature": "string",
  
  
"smtp": {
  
  
  
"host": "string",
  
  
  
"port": 0,
  
  
  
"auth_user": "string",
  
  
  
"auth_password_configured": true,
  
  
  
"tls": true,
  
  
  
"ssl": true
  
  
},
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI